Generation Framework

## org.eclipse.gmf.mappings.impl
Class NodeMappingImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.MappingEntryImpl
                      org.eclipse.gmf.mappings.impl.NodeMappingImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AppearanceSteward, MappingEntry, MenuOwner, NodeMapping, ToolOwner

    public class NodeMappingImpl

extends MappingEntryImpl
implements NodeMapping

An implementation of the model object 'Node Mapping'.

The following features are implemented:

- `Context Menu`
- `Tool`
- `Appearance Style`
- `Diagram Node`
- `Children`
- `Compartments`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected StyleSelector` `appearanceStyle` The cached value of the '`Appearance Style`' reference
`protected org.eclipse.emf.common.util.EList<ChildReference>` `children` The cached value of the '`Children`' containment reference list
`protected org.eclipse.emf.common.util.EList<CompartmentMapping>` `compartments` The cached value of the '`Compartments`' containment reference list
`protected ContextMenu` `contextMenu` The cached value of the '`Context Menu`' reference
`protected Node` `diagramNode` The cached value of the '`Diagram Node`' reference
`protected AbstractTool` `tool` The cached value of the '`Tool`' reference

Fields inherited from class org.eclipse.gmf.mappings.impl.MappingEntryImpl
`domainInitializer, domainMetaElement, domainSpecialization, labelMappings, relatedDiagrams`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `NodeMappingImpl()`

Method Summary
`StyleSelector` `basicGetAppearanceStyle()`
`ContextMenu` `basicGetContextMenu()`
`Node` `basicGetDiagramNode()`
`AbstractTool` `basicGetTool()`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`StyleSelector` `getAppearanceStyle()`
`org.eclipse.emf.common.util.EList<ChildReference>` `getChildren()`
`org.eclipse.emf.common.util.EList<CompartmentMapping>` `getCompartments()`
`ContextMenu` `getContextMenu()`
`Node` `getDiagramNode()`
`org.eclipse.emf.ecore.EClass` `getDomainContext()`
`AbstractTool` `getTool()`
`void` `setAppearanceStyle(StyleSelector newAppearanceStyle)`
`void` `setContextMenu(ContextMenu newContextMenu)`
`void` `setDiagramNode(Node newDiagramNode)`
`void` `setTool(AbstractTool newTool)`

Methods inherited from class org.eclipse.gmf.mappings.impl.MappingEntryImpl
`basicGetDomainMetaElement, basicSetDomainInitializer, basicSetDomainSpecialization, getDomainInitializer, getDomainMetaElement, getDomainSpecialization, getLabelMappings, getRelatedDiagrams, setDomainInitializer, setDomainMetaElement, setDomainSpecialization`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.mappings.MappingEntry
`getDomainInitializer, getDomainMetaElement, getDomainSpecialization, getLabelMappings, getRelatedDiagrams, setDomainInitializer, setDomainMetaElement, setDomainSpecialization`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### contextMenu

    protected ContextMenu contextMenu

  The cached value of the '`Context Menu`' reference.

  See Also:
    `getContextMenu()`
  ** Generated **
  Ordered:

### tool

    protected AbstractTool tool

  The cached value of the '`Tool`' reference.

  See Also:
    `getTool()`
  ** Generated **
  Ordered:

### appearanceStyle

    protected StyleSelector appearanceStyle

  The cached value of the '`Appearance Style`' reference.

  See Also:
    `getAppearanceStyle()`
  ** Generated **
  Ordered:

### diagramNode

    protected Node diagramNode

  The cached value of the '`Diagram Node`' reference.

  See Also:
    `getDiagramNode()`
  ** Generated **
  Ordered:

### children

    protected org.eclipse.emf.common.util.EList<ChildReference> children

  The cached value of the '`Children`' containment reference list.

  See Also:
    `getChildren()`
  ** Generated **
  Ordered:

### compartments

    protected org.eclipse.emf.common.util.EList<CompartmentMapping> compartments

  The cached value of the '`Compartments`' containment reference list.

  See Also:
    `getCompartments()`
  ** Generated **
  Ordered:

Constructor Detail

### NodeMappingImpl

    protected NodeMappingImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `MappingEntryImpl`
  ** Generated **

### getContextMenu

    public ContextMenu getContextMenu()

  Specified by:
    `getContextMenu` in interface `MenuOwner`
  Returns:
    the value of the 'Context Menu' reference.
  See Also:
    `MenuOwner.setContextMenu(ContextMenu)`, `GMFMapPackage.getMenuOwner_ContextMenu()`
  ** Generated **

### basicGetContextMenu

    public ContextMenu basicGetContextMenu()

  ** Generated **

### setContextMenu

    public void setContextMenu(ContextMenu newContextMenu)

  Specified by:
    `setContextMenu` in interface `MenuOwner`
  Parameters:
    `newContextMenu` - the new value of the 'Context Menu' reference.
  See Also:
    `MenuOwner.getContextMenu()`
  ** Generated **

### getTool

    public AbstractTool getTool()

  Specified by:
    `getTool` in interface `ToolOwner`
  Returns:
    the value of the 'Tool' reference.
  See Also:
    `ToolOwner.setTool(AbstractTool)`, `GMFMapPackage.getToolOwner_Tool()`
  ** Generated **

### basicGetTool

    public AbstractTool basicGetTool()

  ** Generated **

### setTool

    public void setTool(AbstractTool newTool)

  Specified by:
    `setTool` in interface `ToolOwner`
  Parameters:
    `newTool` - the new value of the 'Tool' reference.
  See Also:
    `ToolOwner.getTool()`
  ** Generated **

### getAppearanceStyle

    public StyleSelector getAppearanceStyle()

  Specified by:
    `getAppearanceStyle` in interface `AppearanceSteward`
  Returns:
    the value of the 'Appearance Style' reference.
  See Also:
    `AppearanceSteward.setAppearanceStyle(StyleSelector)`, `GMFMapPackage.getAppearanceSteward_AppearanceStyle()`
  ** Generated **

### basicGetAppearanceStyle

    public StyleSelector basicGetAppearanceStyle()

  ** Generated **

### setAppearanceStyle

    public void setAppearanceStyle(StyleSelector newAppearanceStyle)

  Specified by:
    `setAppearanceStyle` in interface `AppearanceSteward`
  Parameters:
    `newAppearanceStyle` - the new value of the 'Appearance Style' reference.
  See Also:
    `AppearanceSteward.getAppearanceStyle()`
  ** Generated **

### getDiagramNode

    public Node getDiagramNode()

  Specified by:
    `getDiagramNode` in interface `NodeMapping`
  Returns:
    the value of the 'Diagram Node' reference.
  See Also:
    `NodeMapping.setDiagramNode(Node)`, `GMFMapPackage.getNodeMapping_DiagramNode()`
  ** Generated **

### basicGetDiagramNode

    public Node basicGetDiagramNode()

  ** Generated **

### setDiagramNode

    public void setDiagramNode(Node newDiagramNode)

  Specified by:
    `setDiagramNode` in interface `NodeMapping`
  Parameters:
    `newDiagramNode` - the new value of the 'Diagram Node' reference.
  See Also:
    `NodeMapping.getDiagramNode()`
  ** Generated **

### getChildren

    public org.eclipse.emf.common.util.EList<ChildReference> getChildren()

  Specified by:
    `getChildren` in interface `NodeMapping`
  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `GMFMapPackage.getNodeMapping_Children()`, `ChildReference.getParentNode()`
  ** Generated **

### getCompartments

    public org.eclipse.emf.common.util.EList<CompartmentMapping> getCompartments()

  Specified by:
    `getCompartments` in interface `NodeMapping`
  Returns:
    the value of the 'Compartments' containment reference list.
  See Also:
    `GMFMapPackage.getNodeMapping_Compartments()`, `CompartmentMapping.getParentNode()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `MappingEntryImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `MappingEntryImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `MappingEntryImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `MappingEntryImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `MappingEntryImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `MappingEntryImpl`
  ** Generated **

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getDomainContext

    public org.eclipse.emf.ecore.EClass getDomainContext()

  Specified by:
    `getDomainContext` in interface `MappingEntry`
  Specified by:
    `getDomainContext` in class `MappingEntryImpl`
  Returns:
    getDomainMetaElement()
  ** Generated **
    NOT

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.